// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.13.0
// source: v1/statistics.proto

package v1

import (
	proto "github.com/golang/protobuf/proto"
	status "google.golang.org/genproto/googleapis/rpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type StatisticsCount struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        int64            `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Type      string           `protobuf:"bytes,2,opt,name=type,proto3" json:"type,omitempty"`
	TimeStamp int64            `protobuf:"varint,3,opt,name=time_stamp,json=timeStamp,proto3" json:"time_stamp,omitempty"`
	Count     map[string]int64 `protobuf:"bytes,4,rep,name=count,proto3" json:"count,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"varint,2,opt,name=value,proto3"`
}

func (x *StatisticsCount) Reset() {
	*x = StatisticsCount{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_statistics_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StatisticsCount) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StatisticsCount) ProtoMessage() {}

func (x *StatisticsCount) ProtoReflect() protoreflect.Message {
	mi := &file_v1_statistics_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StatisticsCount.ProtoReflect.Descriptor instead.
func (*StatisticsCount) Descriptor() ([]byte, []int) {
	return file_v1_statistics_proto_rawDescGZIP(), []int{0}
}

func (x *StatisticsCount) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *StatisticsCount) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *StatisticsCount) GetTimeStamp() int64 {
	if x != nil {
		return x.TimeStamp
	}
	return 0
}

func (x *StatisticsCount) GetCount() map[string]int64 {
	if x != nil {
		return x.Count
	}
	return nil
}

type StatisticsFlow struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        int64            `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Type      string           `protobuf:"bytes,2,opt,name=type,proto3" json:"type,omitempty"`
	TimeStamp int64            `protobuf:"varint,3,opt,name=time_stamp,json=timeStamp,proto3" json:"time_stamp,omitempty"`
	Count     map[string]int64 `protobuf:"bytes,4,rep,name=count,proto3" json:"count,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"varint,2,opt,name=value,proto3"`
	FlowTo    int64            `protobuf:"varint,5,opt,name=flow_to,json=flowTo,proto3" json:"flow_to,omitempty"`
}

func (x *StatisticsFlow) Reset() {
	*x = StatisticsFlow{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_statistics_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StatisticsFlow) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StatisticsFlow) ProtoMessage() {}

func (x *StatisticsFlow) ProtoReflect() protoreflect.Message {
	mi := &file_v1_statistics_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StatisticsFlow.ProtoReflect.Descriptor instead.
func (*StatisticsFlow) Descriptor() ([]byte, []int) {
	return file_v1_statistics_proto_rawDescGZIP(), []int{1}
}

func (x *StatisticsFlow) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *StatisticsFlow) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *StatisticsFlow) GetTimeStamp() int64 {
	if x != nil {
		return x.TimeStamp
	}
	return 0
}

func (x *StatisticsFlow) GetCount() map[string]int64 {
	if x != nil {
		return x.Count
	}
	return nil
}

func (x *StatisticsFlow) GetFlowTo() int64 {
	if x != nil {
		return x.FlowTo
	}
	return 0
}

// Type:    RESTful
// Method:  GET
// URL:     /v1/statistics/count/query?start_time=123&end_time=456&channel_uuid=xxx&period=minute
// PARAMS:
//          period = day/hour/minute
//
type StatisticsCountQueryResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Stats  []*StatisticsCount `protobuf:"bytes,1,rep,name=stats,proto3" json:"stats,omitempty"`
	Status *status.Status     `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *StatisticsCountQueryResponse) Reset() {
	*x = StatisticsCountQueryResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_statistics_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StatisticsCountQueryResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StatisticsCountQueryResponse) ProtoMessage() {}

func (x *StatisticsCountQueryResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_statistics_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StatisticsCountQueryResponse.ProtoReflect.Descriptor instead.
func (*StatisticsCountQueryResponse) Descriptor() ([]byte, []int) {
	return file_v1_statistics_proto_rawDescGZIP(), []int{2}
}

func (x *StatisticsCountQueryResponse) GetStats() []*StatisticsCount {
	if x != nil {
		return x.Stats
	}
	return nil
}

func (x *StatisticsCountQueryResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Type:    RESTful
// Method:  GET
// URL:     /v1/statistics/flow/query?start_time=123&end_time=456&channel_uuid=xxx&period=minute
// PARAMS:
//          period = day/hour/minute
//
type StatisticsFlowQueryResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Stats  []*StatisticsFlow `protobuf:"bytes,1,rep,name=stats,proto3" json:"stats,omitempty"`
	Status *status.Status    `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *StatisticsFlowQueryResponse) Reset() {
	*x = StatisticsFlowQueryResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_statistics_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StatisticsFlowQueryResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StatisticsFlowQueryResponse) ProtoMessage() {}

func (x *StatisticsFlowQueryResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_statistics_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StatisticsFlowQueryResponse.ProtoReflect.Descriptor instead.
func (*StatisticsFlowQueryResponse) Descriptor() ([]byte, []int) {
	return file_v1_statistics_proto_rawDescGZIP(), []int{3}
}

func (x *StatisticsFlowQueryResponse) GetStats() []*StatisticsFlow {
	if x != nil {
		return x.Stats
	}
	return nil
}

func (x *StatisticsFlowQueryResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

var File_v1_statistics_proto protoreflect.FileDescriptor

var file_v1_statistics_proto_rawDesc = []byte{
	0x0a, 0x13, 0x76, 0x31, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x69, 0x73, 0x74, 0x69, 0x63, 0x73, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x19, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31,
	0x1a, 0x1e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x22, 0xdb, 0x01, 0x0a, 0x0f, 0x53, 0x74, 0x61, 0x74, 0x69, 0x73, 0x74, 0x69, 0x63, 0x73, 0x43,
	0x6f, 0x75, 0x6e, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x74, 0x69, 0x6d, 0x65,
	0x5f, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x74, 0x69,
	0x6d, 0x65, 0x53, 0x74, 0x61, 0x6d, 0x70, 0x12, 0x4b, 0x0a, 0x05, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x35, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x76, 0x31, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x69, 0x73, 0x74, 0x69, 0x63, 0x73, 0x43, 0x6f, 0x75,
	0x6e, 0x74, 0x2e, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x05, 0x63,
	0x6f, 0x75, 0x6e, 0x74, 0x1a, 0x38, 0x0a, 0x0a, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x45, 0x6e, 0x74,
	0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0xf2,
	0x01, 0x0a, 0x0e, 0x53, 0x74, 0x61, 0x74, 0x69, 0x73, 0x74, 0x69, 0x63, 0x73, 0x46, 0x6c, 0x6f,
	0x77, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69,
	0x64, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x74, 0x69, 0x6d, 0x65, 0x5f, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x53,
	0x74, 0x61, 0x6d, 0x70, 0x12, 0x4a, 0x0a, 0x05, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x04, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x34, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e,
	0x53, 0x74, 0x61, 0x74, 0x69, 0x73, 0x74, 0x69, 0x63, 0x73, 0x46, 0x6c, 0x6f, 0x77, 0x2e, 0x43,
	0x6f, 0x75, 0x6e, 0x74, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x05, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x12, 0x17, 0x0a, 0x07, 0x66, 0x6c, 0x6f, 0x77, 0x5f, 0x74, 0x6f, 0x18, 0x05, 0x20, 0x01, 0x28,
	0x03, 0x52, 0x06, 0x66, 0x6c, 0x6f, 0x77, 0x54, 0x6f, 0x1a, 0x38, 0x0a, 0x0a, 0x43, 0x6f, 0x75,
	0x6e, 0x74, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a,
	0x02, 0x38, 0x01, 0x22, 0x8c, 0x01, 0x0a, 0x1c, 0x53, 0x74, 0x61, 0x74, 0x69, 0x73, 0x74, 0x69,
	0x63, 0x73, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x51, 0x75, 0x65, 0x72, 0x79, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x40, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x73, 0x18, 0x01, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e,
	0x53, 0x74, 0x61, 0x74, 0x69, 0x73, 0x74, 0x69, 0x63, 0x73, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x52,
	0x05, 0x73, 0x74, 0x61, 0x74, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x22, 0x8a, 0x01, 0x0a, 0x1b, 0x53, 0x74, 0x61, 0x74, 0x69, 0x73, 0x74, 0x69, 0x63,
	0x73, 0x46, 0x6c, 0x6f, 0x77, 0x51, 0x75, 0x65, 0x72, 0x79, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x3f, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x29, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70,
	0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x74,
	0x61, 0x74, 0x69, 0x73, 0x74, 0x69, 0x63, 0x73, 0x46, 0x6c, 0x6f, 0x77, 0x52, 0x05, 0x73, 0x74,
	0x61, 0x74, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63,
	0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x42,
	0x29, 0x5a, 0x27, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x74, 0x6f,
	0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x70, 0x62, 0x2f, 0x68, 0x61, 0x77, 0x6b,
	0x2f, 0x61, 0x70, 0x69, 0x2f, 0x76, 0x31, 0x3b, 0x76, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_v1_statistics_proto_rawDescOnce sync.Once
	file_v1_statistics_proto_rawDescData = file_v1_statistics_proto_rawDesc
)

func file_v1_statistics_proto_rawDescGZIP() []byte {
	file_v1_statistics_proto_rawDescOnce.Do(func() {
		file_v1_statistics_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_statistics_proto_rawDescData)
	})
	return file_v1_statistics_proto_rawDescData
}

var file_v1_statistics_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_v1_statistics_proto_goTypes = []interface{}{
	(*StatisticsCount)(nil),              // 0: touchcloud.pb.hawk.api.v1.StatisticsCount
	(*StatisticsFlow)(nil),               // 1: touchcloud.pb.hawk.api.v1.StatisticsFlow
	(*StatisticsCountQueryResponse)(nil), // 2: touchcloud.pb.hawk.api.v1.StatisticsCountQueryResponse
	(*StatisticsFlowQueryResponse)(nil),  // 3: touchcloud.pb.hawk.api.v1.StatisticsFlowQueryResponse
	nil,                                  // 4: touchcloud.pb.hawk.api.v1.StatisticsCount.CountEntry
	nil,                                  // 5: touchcloud.pb.hawk.api.v1.StatisticsFlow.CountEntry
	(*status.Status)(nil),                // 6: google.rpc.Status
}
var file_v1_statistics_proto_depIdxs = []int32{
	4, // 0: touchcloud.pb.hawk.api.v1.StatisticsCount.count:type_name -> touchcloud.pb.hawk.api.v1.StatisticsCount.CountEntry
	5, // 1: touchcloud.pb.hawk.api.v1.StatisticsFlow.count:type_name -> touchcloud.pb.hawk.api.v1.StatisticsFlow.CountEntry
	0, // 2: touchcloud.pb.hawk.api.v1.StatisticsCountQueryResponse.stats:type_name -> touchcloud.pb.hawk.api.v1.StatisticsCount
	6, // 3: touchcloud.pb.hawk.api.v1.StatisticsCountQueryResponse.status:type_name -> google.rpc.Status
	1, // 4: touchcloud.pb.hawk.api.v1.StatisticsFlowQueryResponse.stats:type_name -> touchcloud.pb.hawk.api.v1.StatisticsFlow
	6, // 5: touchcloud.pb.hawk.api.v1.StatisticsFlowQueryResponse.status:type_name -> google.rpc.Status
	6, // [6:6] is the sub-list for method output_type
	6, // [6:6] is the sub-list for method input_type
	6, // [6:6] is the sub-list for extension type_name
	6, // [6:6] is the sub-list for extension extendee
	0, // [0:6] is the sub-list for field type_name
}

func init() { file_v1_statistics_proto_init() }
func file_v1_statistics_proto_init() {
	if File_v1_statistics_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_statistics_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StatisticsCount); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_statistics_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StatisticsFlow); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_statistics_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StatisticsCountQueryResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_statistics_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StatisticsFlowQueryResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_statistics_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_statistics_proto_goTypes,
		DependencyIndexes: file_v1_statistics_proto_depIdxs,
		MessageInfos:      file_v1_statistics_proto_msgTypes,
	}.Build()
	File_v1_statistics_proto = out.File
	file_v1_statistics_proto_rawDesc = nil
	file_v1_statistics_proto_goTypes = nil
	file_v1_statistics_proto_depIdxs = nil
}
